package com.fxy.bean;

import android.os.Parcel;
import android.os.Parcelable;

public class UploadResultBean implements Parcelable {
    public int status;
    public String path;
    public String msg;
    public String error;


    @Override
    public String toString() {
        return "UploadResultBean{" +
                "status=" + status +
                ", path='" + path + '\'' +
                ", msg='" + msg + '\'' +
                ", error='" + error + '\'' +
                '}';
    }

    public int getStatus() {
        return status;
    }

    public UploadResultBean setStatus(int status) {
        this.status = status;
        return this;
    }

    public String getPath() {
        return path;
    }

    public UploadResultBean setPath(String path) {
        this.path = path;
        return this;
    }

    public String getMsg() {
        return msg;
    }

    public UploadResultBean setMsg(String msg) {
        this.msg = msg;
        return this;
    }

    public String getError() {
        return error;
    }

    public UploadResultBean setError(String error) {
        this.error = error;
        return this;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeInt(this.status);
        dest.writeString(this.path);
        dest.writeString(this.msg);
        dest.writeString(this.error);
    }

    public void readFromParcel(Parcel source) {
        this.status = source.readInt();
        this.path = source.readString();
        this.msg = source.readString();
        this.error = source.readString();
    }

    public UploadResultBean() {
    }

    protected UploadResultBean(Parcel in) {
        this.status = in.readInt();
        this.path = in.readString();
        this.msg = in.readString();
        this.error = in.readString();
    }

    public static final Creator<UploadResultBean> CREATOR = new Creator<UploadResultBean>() {
        @Override
        public UploadResultBean createFromParcel(Parcel source) {
            return new UploadResultBean(source);
        }

        @Override
        public UploadResultBean[] newArray(int size) {
            return new UploadResultBean[size];
        }
    };
}
